PHP5.4へのバージョンアップ

利用しているレンタルサーバーのhetemlから連絡があり、PHPのバージョン5.4が使えるので移行して欲しいとのこと。現在の5.2はすぐ使えなくなるとか。

そこで指示に従って、PHP 5.4を使うように設定変更してみたところ、以前作ったアフィリエイト用のプログラムからものすごい数のエラーが。PHP 5.3以降では推奨されなくなった関数とかが全部エラーとして表示され、サイトがうまく表示されません。

PHP 5.4のエラー表示設定が、これまたうまく機能させることができなくて、エラーが起きると画面が表示されないという有様に陥り、デバッグも一苦労。うーん。いつになったら修正作業が終了するのか・・・